<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Leenooks\Traits\ScopeActive;

/**
 * @deprecated
 */
class DomainTld extends Model
{
	use ScopeActive;

	protected $table = 'ab_domain_tld';

	/* RELATIONS */

	public function services()
	{
		return $this->hasMany(Service::class);
	}

	/* ATTRIBUTES */

	public function getNameAttribute($value): string
	{
		return strtoupper($value);
	}

	public function getPriceGroupAttribute($value): array
	{
		return unserialize($value);
	}
}